{% extends 'base.html' %}
{% load crispy_forms_filters %}
{% load crispy_forms_tags %}

{% block title %}
    User profile editing
{% endblock %}

{% block body %}
    <div class="form-section alert alert-light">
        <h2>User account {{ user.username }}</h2>
        <div class="d-flex text-body-secondary pt-3">
            <img class="bd-placeholder-img flex-shrink-0 me-2 rounded" width="64" height="64"
                 src="{{ user.profile.img.url }}" role="img" aria-label="Placeholder: 32x32">
            <rect width="100%" height="100%" fill="#007bff"></rect>
            </img>
            <p class="pb-3 mb-0 small lh-sm border-bottom">
                <strong class="d-block text-gray-dark">@{{ user.username }}</strong>
                <b>Email:</b> {{ user.email }}
            </p>
        </div>
        <h2>Update user data</h2>
        <form method="post" enctype="multipart/form-data">
            {% csrf_token %}
            {{ update_user|crispy }}
            {{ img_profile|crispy }}
            <button type="submit" class="btn btn-outline-warning">Update</button>
        </form>
    </div>
{% endblock %}

{% block aside_news_section %}
    <h3><b>10 films and series for programmers</b></h3>
    <img class="img-thumbnail mb-1"
         src="https://itproger.com/img/news/1477674462.jpg">
    <p>When you get on the path of programming, you really want to watch any films or series on this topic.
        We present you a selection of 10 films for programmers.</p>
    <a href="https://itproger.com/news/10-filmov-i-serialov-dlya-programmistov" target="_blank">
        <button class="btn btn-warning">View</button>
    </a>
{% endblock %}